Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Cómo actualizar gradle en el estudio android

He instalado Android Studio 0.1.9. Hoy tengo y actualizo a la versión 0.2 y por supuesto me actualizé. Después de la instalación reinicié Android Studio pero ahora recibo este mensaje:

Project está utilizando una versión antigua del complemento Android Gradle. La versión mínima soportada es 0.5.0. Actualice la versión de la dependencia 'com.android.tools.build:gradle'

¿Cómo puedo hacer eso? No encuentro ninguna herramienta de actualización para el plugin gradle en el estudio android.

11 Solutions collect form web for “Cómo actualizar gradle en el estudio android”

Así es como actualizar gradle fácilmente (Actualizado julio 2017):

Paso 1 (Usar el contenedor de gradle predeterminado)

Archivo Configuración Creación, Ejecución, Implementación Herramientas de Construcción Gradle Usar el contenedor predeterminado Gradle (recomendado)

Introduzca aquí la descripción de la imagen

Paso 2 (Seleccione la versión de gradle deseada)

Archivo Estructura del proyecto Proyecto

Introduzca aquí la descripción de la imagen

La siguiente tabla lista la versión de Gradle que se requiere para cada versión del complemento de Android para Gradle

Introduzca aquí la descripción de la imagen

Enlaces útiles

Compatibilidad de versiones

Para conocer la última versión de Gradle

Más información acerca del Gradle Wrapper

Esta puede no ser la respuesta exacta para el OP, pero es la respuesta al título de la pregunta: Cómo actualizar Gradle en Android Studio (AS):

  • Obtenga la versión más reciente compatible con AS: http://www.gradle.org/downloads (actualmente 1.9, 1.10 no es compatible con AS aún)
  • Instalar: Descomprimir en cualquier lugar como cerca de donde está instalado AS: C: \ Users [username] \ gradle-1.9 \
  • Abrir AS: File-> Settings-> Gradle-> Service directory path: (Cambie a la carpeta que configuró anteriormente) -> Haga clic en ok. El estado en la parte inferior debe indicar que está ocupado y que el error debe arreglarse. Podría tener que reiniciar AS

Abrir archivo > Estructura del proyecto > ficha Proyecto

Menú de estructura del proyecto en Android Studio

Android Studio ha construido en el menú de la estructura del proyecto para comprobar y actualizar gradle y plugin utilizados en el proyecto actual.

Debajo de la página web se proporciona una explicación detallada sobre cómo actualizar gradle y gradle plugin de Android Studio.

Actualizar gradle plugin Android Studio

ACTUALIZACIÓN marzo-2017

Se mostrará el popup, si la actualización gradle está disponible (Android estudio 2.3)

Simplemente cambie la versión de gradle en el archivo build.gradle nivel build.gradle a la última,

  buildscript { ... dependencies { classpath 'com.android.tools.build:gradle:2.2.0' } } 

Ver abajo tabla

 The Android Gradle Plugin and Gradle Android Gradle Plugin Requires Gradle 1.0.0 - 1.1.3 2.2.1 - 2.3 1.2.0 - 1.3.1 2.2.1 - 2.9 1.5.0 2.2.1+ 2.2.1 - 2.13 2.0.0 - 2.1.2 2.10 - 2.13 2.1.3 - 2.2.3 2.14.1+ 2.3.0+ 3.3+ 

Revisar las revisiones de gradle

En Mac, abra el terminal y ejecute los siguientes comandos según las instrucciones :

 $ curl -s https://get.sdkman.io | bash 

entonces

 $ sdk install gradle 3.0 

Una vez que la instalación se haya completado, el terminal le preguntará si desea configurarla como una versión predeterminada, así que escriba y y haga de ella la versión predeterminada.

Ahora abra Android Studio -> Terminal y ejecute el siguiente comando

 Gradle --version 

Abre tu archivo root build.gradle y cambia la versión Gradle de esta manera

Versión antigua:

  dependencies { classpath 'com.android.tools.build:gradle:1.3.0' } 

Nueva versión:

 dependencies { classpath 'com.android.tools.build:gradle:1.5.0' } 

Para la versión de Gradle ver esto.

No puedo comentar todavía.

Igual que Kevin, pero con diferentes pasos de interfaz de usuario:

Esta puede no ser la respuesta exacta para el OP, pero es la respuesta al título de la pregunta: Cómo actualizar Gradle en Android Studio (AS):

  • Obtenga la versión más reciente compatible con AS: http://www.gradle.org/downloads (actualmente 1.9, 1.10 no es compatible con AS aún)
  • Instalar: Descomprimir en cualquier lugar como cerca de donde está instalado AS: C: \ Users [username] \ gradle-1.9 \
  • Abrir AS: Archivo-> Configuración-> Construcción, Ejecución, Implementación-> Herramientas de Construcción-> Gradle-> Ruta del directorio de servicio: (Cambie a la carpeta que configuró anteriormente) -> Haga clic en Aceptar. El estado en la parte inferior debe indicar que está ocupado y que el error debe arreglarse. Podría tener que reiniciar AS

Vaya a Archivo> Configuración> Generación, Ejecución, Implementación> Herramientas de Construcción> Gradle> Ruta inicial de Gradle

Ahora, defina Usar degradado predeterminado y edite los archivos del proyecto \ gradle \ wrapper \ gradle-wrapper.properties del campo distributionUrl like this

DistributionUrl = https: //services.gradle.org/distributions/gradle-2.10-all.zip

Para aquellos que todavía tienen este problema (por ejemplo, para cambiar de 2.8.0 a 2.10.0), pasar al archivo gradle-wrapper.properties y establecer distributionUrl como forma.

 distributionUrl=https\://services.gradle.org/distributions/gradle-2.10-all.zip 

He cambiado 2.8.0 a 2.10.0 y no te olvides de sincronizar después

Esto funciona para mi:

Sólo tienes que ir a '/home/your-user/.gradle/wrapper/dists/'

Eliminar todo dentro de este

Será reemplazado por el estudio de Android

En ejecución terminal: iónico emular el androide

Es todo …

Si el botón de ejecución está gris. Así es como lo arreglé.

Vaya al menú Ejecutar en y, a continuación, presione:

Introduzca aquí la descripción de la imagen

Entonces ejecutará su emulador, y su botón de la operación volverá a ser verde otra vez y usted puede utilizarlo. Así es como lo arreglé.

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.